*{
    margin:0;
    padding:0;
    box-sizing:border-box;
    font-family:Inter,Segoe UI,sans-serif;
}

body{
    background:#030712;
    color:white;
    min-height:100vh;
    overflow-x:hidden;
    position:relative;
}

.blur{
    position:fixed;
    border-radius:50%;
    filter:blur(140px);
    z-index:-1;
}

.blur1{
    width:350px;
    height:350px;
    background:#2563eb;
    top:-120px;
    left:-100px;
}

.blur2{
    width:450px;
    height:450px;
    background:#7c3aed;
    bottom:-200px;
    right:-150px;
}
#install-btn{
    background: #2563eb;
    color: #fff;
    padding: 10px 25px;
    border-radius: 15px;
    text-decoration: none;
    font-weight: 600;
    border: none;
    display: block;
    margin: 0 auto;
}
#install-btn:hover{
    cursor: pointer;
    transform: translateY(-2px);
    transition: all ease 0.2s;
}
#messageBox{
    text-align: center;
    text-transform: capitalize;
    padding: 10px 15px;
    border: 1px solid #ccc;
    background: #fff;
    font-weight: 600;
    color: #000;
    border-radius: 10px;
    width: max-content;
    transition: all ease 0.2s;
    font-size: 15px;
    word-wrap: break-word;
    transform: translateY(30px);
    animation: fadeUp 1s ease forwards;
    animation-delay: 0.4s;
    align-items: center;
    position:absolute;
    display: block;
    margin: 15px auto;
    left: 0;
    right: 0;
    opacity: 0;
}
@keyframes fadeUp {
    to{
        opacity: 1;
        transform: translateY(0);
    }
}

@media (max-width: 549px) {
    header{
        border-bottom:1px solid #1e293b;
        display: flex;
        margin-bottom: 10px;
        align-items: center;
        padding: 15px;
        gap: 5px;
    }
    header img{
        width: 50px;
        height: 50px;
        border-radius: 20px;
    }
    header .heading{
        font-weight: 600;
        font-size: 1.3rem;
    }
    header .small{
        font-size: 13px;
    }

    .hero{
        margin-bottom: 20px;
        padding: 20px;
    }
    .hero .h1{
        font-weight: 600;
        font-size: 3rem;
        margin-bottom: 10px;
    }
    .hero .small{
        color: #9ca3af;
        font-size: 1.1rem;
        line-height: 1.8;
    }

    .wrapSection{
        padding: 20px;
    }
    .wrapSection form{
        background:rgba(255,255,255,.05);
        border:1px solid rgba(255,255,255,.08);
        backdrop-filter:blur(25px);
    
        padding:30px;
        border-radius:30px;
    }
    .wrapSection form .formField{
        margin-bottom: 20px;
    }
    .wrapSection form label{
        display: block;
        margin-bottom: 5px;
        color: #fff;
    }
    .wrapSection form input{
        width: 100%;
        padding: 20px;
        border-radius: 15px;
        background:#111827;
        color: #fff;
        border: none;
        border: 1px solid #ccc;
    }
    .wrapSection form button{
        width:100%;
        padding: 18px;
        border:none;
        border-radius:18px;
        font-size:17px;
        font-weight:700;
        cursor:pointer;
        color:white;
        background:linear-gradient(
            135deg,
            #2563eb,
            #7c3aed
        );
        transition:.3s;
    }
    .wrapSection form button:hover{
        transform: translateY(-2px);
    }
    .output{
        margin-top: 40px;
        margin-bottom: 20px;
        background:#fff;
        border:1px solid rgba(255,255,255,.08);
        backdrop-filter:blur(25px);
        padding: 10px;
        border-radius:30px;
        animation: float 4s ease-in-out infinite;
    }
    .output .text{
        color: #000;
        text-align: center;
        margin-bottom: 15px;
        font-weight: 600;
    }
    .output #canvas{
        border: 1px solid #ccc;
        height: 50vh;
        border-radius: 20px;
        margin-bottom: 10px;
        display: flex;
        align-items: center;
        justify-content: center;
    }
    .output button{
        width:100%;
        padding: 18px;
        border:none;
        border-radius:18px;
        font-size:17px;
        font-weight:700;
        cursor:pointer;
        color:white;
        background: #000;
        transition:.3s;
    }

}
@media (min-width: 550px) and (max-width: 758px) {
    header{
        border-bottom:1px solid #1e293b;
        display: flex;
        margin-bottom: 10px;
        align-items: center;
        padding: 15px;
        gap: 5px;
    }
    header img{
        width: 50px;
        height: 50px;
        border-radius: 20px;
    }
    header .heading{
        font-weight: 600;
        font-size: 1.3rem;
    }
    header .small{
        font-size: 13px;
    }

    .hero{
        margin-bottom: 20px;
        padding: 20px;
    }
    .hero .h1{
        font-weight: 600;
        font-size: 3rem;
        margin-bottom: 10px;
    }
    .hero .small{
        color: #9ca3af;
        font-size: 1.1rem;
        line-height: 1.8;
    }

    .wrapSection{
        padding: 20px;
    }
    .wrapSection form{
        background:rgba(255,255,255,.05);
        border:1px solid rgba(255,255,255,.08);
        backdrop-filter:blur(25px);
    
        padding:30px;
        border-radius:30px;
    }
    .wrapSection form .formField{
        margin-bottom: 20px;
    }
    .wrapSection form label{
        display: block;
        margin-bottom: 5px;
        color: #fff;
    }
    .wrapSection form input{
        width: 100%;
        padding: 20px;
        border-radius: 15px;
        background:#111827;
        color: #fff;
        border: none;
        border: 1px solid #ccc;
    }
    .wrapSection form button{
        width:100%;
        padding: 18px;
        border:none;
        border-radius:18px;
        font-size:17px;
        font-weight:700;
        cursor:pointer;
        color:white;
        background:linear-gradient(
            135deg,
            #2563eb,
            #7c3aed
        );
        transition:.3s;
    }
    .wrapSection form button:hover{
        transform: translateY(-2px);
    }
    .output{
        margin-top: 40px;
        margin-bottom: 20px;
        background:#fff;
        border:1px solid rgba(255,255,255,.08);
        backdrop-filter:blur(25px);
        padding: 30px;
        border-radius:30px;
        animation: float 4s ease-in-out infinite;
    }
    .output .text{
        color: #000;
        text-align: center;
        margin-bottom: 15px;
        font-weight: 600;
    }
    .output #canvas{
        border: 1px solid #ccc;
        height: 50vh;
        border-radius: 20px;
        margin-bottom: 10px;
        display: flex;
        align-items: center;
        justify-content: center;
    }
    .output button{
        width:100%;
        padding: 18px;
        border:none;
        border-radius:18px;
        font-size:17px;
        font-weight:700;
        cursor:pointer;
        color:white;
        background: #000;
        transition:.3s;
    }
}
@media (min-width: 759px) and (max-width: 1100px){
    header{
        border-bottom:1px solid #1e293b;
        display: flex;
        margin-bottom: 10px;
        align-items: center;
        padding: 15px;
        gap: 5px;
    }
    header img{
        width: 50px;
        height: 50px;
        border-radius: 20px;
    }
    header .heading{
        font-weight: 600;
        font-size: 1.3rem;
    }
    header .small{
        font-size: 13px;
    }

    .hero{
        margin-bottom: 20px;
        padding: 20px;
    }
    .hero .h1{
        font-weight: 600;
        font-size: 3rem;
        margin-bottom: 10px;
    }
    .hero .small{
        color: #9ca3af;
        font-size: 1.1rem;
        line-height: 1.8;
    }
    .wrapBlock{
        margin-bottom: 40px;
    }
    .wrapSection{
        margin-top: 70px;
        padding: 20px;
        align-items: stretch; 
        align-items: center;
        justify-content: center;
        display: grid;
        gap: 30px;
        grid-template-columns: repeat(auto-fit, minmax(450px, 1fr));
    }
    .wrapSection form{
        background:rgba(255,255,255,.05);
        border:1px solid rgba(255,255,255,.08);
        backdrop-filter:blur(25px);
        padding:30px;
        border-radius:30px;
        margin-bottom: 30px;
    }
    .wrapSection form .formField{
        margin-bottom: 20px;
    }
    .wrapSection form label{
        display: block;
        margin-bottom: 5px;
        color: #fff;
    }
    .wrapSection form input{
        width: 100%;
        padding: 20px;
        border-radius: 15px;
        background:#111827;
        color: #fff;
        border: none;
        border: 1px solid #ccc;
    }
    .wrapSection form button{
        width:100%;
        padding: 18px;
        border:none;
        border-radius:18px;
        font-size:17px;
        font-weight:700;
        cursor:pointer;
        color:white;
        background:linear-gradient(
            135deg,
            #2563eb,
            #7c3aed
        );
        transition:.3s;
    }
    .wrapSection form button:hover{
        transform: translateY(-2px);
    }

    .output{
        margin-top: 40px;
        margin-bottom: 80px;
        background:#fff;
        border:1px solid rgba(255,255,255,.08);
        backdrop-filter:blur(25px);
        padding: 30px;
        border-radius:30px;
        /*animation: float 4s ease-in-out infinite;*/
    }
    .output .text{
        color: #000;
        text-align: center;
        margin-bottom: 15px;
        font-weight: 600;
    }
    .output #canvas{
        border: 1px solid #ccc;
        height: 60%;
        border-radius: 20px;
        margin-bottom: 10px;
        display: flex;
        align-items: center;
        justify-content: center;
    }
    .output button{
        width:100%;
        padding: 18px;
        border:none;
        border-radius:18px;
        font-size:17px;
        font-weight:700;
        cursor:pointer;
        color:white;
        background: #000;
        transition:.3s;
    }
}
@media (min-width: 1101px){
    header{
        border-bottom:1px solid #1e293b;
        display: flex;
        margin-bottom: 10px;
        align-items: center;
        padding: 15px;
        gap: 5px;
    }
    header img{
        width: 50px;
        height: 50px;
        border-radius: 20px;
    }
    header .heading{
        font-weight: 600;
        font-size: 1.3rem;
    }
    header .small{
        font-size: 13px;
    }

    .wrapBlock{
        padding: 30px;
        width: 100%;
        margin-bottom: 90px;
    }

    .hero{
        margin-bottom: 20px;
        padding: 20px;
    }
    .hero .h1{
        font-weight: 600;
        font-size: 3rem;
        margin-bottom: 10px;
    }
    .hero .small{
        color: #9ca3af;
        font-size: 1.1rem;
        line-height: 1.8;
    }

    .wrapSection{
        margin-top: 70px;
        padding: 20px;
        align-items: stretch; 
        align-items: center;
        justify-content: center;
        display: grid;
        gap: 40px;
        grid-template-columns: repeat(auto-fit, minmax(400px, 1fr));
    }
    .wrapSection form{
        background:rgba(255,255,255,.05);
        border:1px solid rgba(255,255,255,.08);
        backdrop-filter:blur(25px);
        padding:30px;
        border-radius:30px;
        max-width: 700px;
    }
    .wrapSection form .formField{
        margin-bottom: 20px;
    }
    .wrapSection form label{
        display: block;
        margin-bottom: 5px;
        color: #fff;
    }
    .wrapSection form input{
        width: 100%;
        padding: 20px;
        border-radius: 15px;
        background:#111827;
        color: #fff;
        border: none;
        border: 1px solid #ccc;
    }
    .wrapSection form button{
        width:100%;
        padding: 18px;
        border:none;
        border-radius:18px;
        font-size:17px;
        font-weight:700;
        cursor:pointer;
        color:white;
        background:linear-gradient(
            135deg,
            #2563eb,
            #7c3aed
        );
        transition:.3s;
    }
    .wrapSection form button:hover{
        transform: translateY(-2px);
    }

    .output{
        margin-top: 40px;
        margin-bottom: 40px;
        background:#fff;
        border:1px solid rgba(255,255,255,.08);
        backdrop-filter:blur(25px);
        padding: 30px;
        border-radius:30px;
        /*animation: float 4s ease-in-out infinite;*/
        max-width: 700px;
    }
    .output .text{
        color: #000;
        text-align: center;
        margin-bottom: 15px;
        font-weight: 600;
    }
    .output #canvas{
        border: 1px solid #ccc;
        height: 100%;
        border-radius: 20px;
        margin-bottom: 10px;
        display: flex;
        align-items: center;
        justify-content: center;
    }
    .output button{
        width:100%;
        padding: 18px;
        border:none;
        border-radius:18px;
        font-size:17px;
        font-weight:700;
        cursor:pointer;
        color:white;
        background: #000;
        transition:.3s;
    }
}

@keyframes float{

    0%{
        transform:translateY(0px);
    }

    50%{
        transform:translateY(-10px);
    }

    100%{
        transform:translateY(0px);
    }

}